Update MCP
curl --request PUT \
--url https://api.trugen.ai/v1/ext/mcp/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Livekit Docs1",
"description": "MCP server to get livekit info1",
"type": "shttp/sse",
"request_config": {
"url": "https://www.example.com/information",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
}
}
'import requests
url = "https://api.trugen.ai/v1/ext/mcp/{id}"
payload = {
"name": "Livekit Docs1",
"description": "MCP server to get livekit info1",
"type": "shttp/sse",
"request_config": {
"url": "https://www.example.com/information",
"headers": {
"User-Agent": "Trugen Avatar",
"Accept": "application/json"
}
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Livekit Docs1',
description: 'MCP server to get livekit info1',
type: 'shttp/sse',
request_config: {
url: 'https://www.example.com/information',
headers: {'User-Agent': 'Trugen Avatar', Accept: 'application/json'}
}
})
};
fetch('https://api.trugen.ai/v1/ext/mcp/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "dcf04568-6bf5-40cf-bd6f-d68e4cb5b216",
"name": "Livekit Docs1",
"description": "MCP server to get livekit info1",
"type": "shttp/sse",
"request_config": {},
"updated_at": "2025-10-05T12:30:45.123Z"
}{
"error": "Invalid request body"
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"error": "MCP not found"
}{
"error": "Failed to update MCP details"
}MCPs
Update MCP
Updates an existing MCP configuration by its ID. Requires x-api-key authentication.
PUT
/
ext
/
mcp
/
{id}
Update MCP
Authorizations
Path Parameters
Unique identifier of the MCP
Example:
"0d585f9a-e992-42d4-bda2-9c25f2bd7eda"
Body
application/json
Response
MCP updated successfully
Example:
"dcf04568-6bf5-40cf-bd6f-d68e4cb5b216"
Example:
"Livekit Docs1"
Example:
"MCP server to get livekit info1"
Example:
"shttp/sse"
Example:
"2025-10-05T12:30:45.123Z"
Was this page helpful?
⌘I